Bug 19290 - Browse selected biblios - Staff
Summary: Browse selected biblios - Staff
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Searching (show other bugs)
Version: master
Hardware: All All
: P5 - low new feature (vote)
Assignee: Jonathan Druart
QA Contact: Josef Moravec
URL:
Whiteboard:
Keywords: release-notes-needed
Depends on:
Blocks: 20864
  Show dependency treegraph
 
Reported: 2017-09-11 15:15 UTC by Séverine Queune
Modified: 2018-06-28 08:51 UTC (History)
6 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19290: Browse selected bibliographic records - Staff interface (20.70 KB, patch)
2017-10-16 21:35 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 19290: Browse selected bibliographic records - Staff interface (20.84 KB, patch)
2017-10-17 12:35 UTC, sandboxes@biblibre.com
Details | Diff | Splinter Review
Bug 19290: Browse selected bibliographic records - Staff interface (20.82 KB, patch)
2017-11-03 16:11 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 19290: Browse selected bibliographic records - Staff interface (21.38 KB, patch)
2018-02-05 13:20 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 19290: Browse selected bibliographic records - Staff interface (21.40 KB, patch)
2018-02-05 16:49 UTC, Josef Moravec
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Séverine Queune 2017-09-11 15:15:20 UTC
It would be useful for the BULAC staff and patrons (http://www.bulac.fr/) to browse through selected records on a result list without saving them in a list.

On the different results pages, we could select several records and use the “Return to results” / Previous” / “Next” links on one of theses records would go from one  to the other of the select records and not the full result list.

As long as “Change sponsored?” is set on “Seeking developer”, anyone wanting to quote us for the development of such a feature or just ask for more information is welcome to write to us: <sigb@bulac.fr>.
Comment 1 Owen Leonard 2017-09-14 13:36:17 UTC
This sounds like Bug 10858. Take a look, and if it looks like what you need please mark this bug as a duplicate.
Comment 2 Séverine Queune 2017-09-14 14:10:30 UTC
Hi Owen,
That is exactly what we want, but in the staff client.
Comment 3 Jonathan Druart 2017-10-16 21:35:20 UTC
Created attachment 68193 [details] [review]
Bug 19290: Browse selected bibliographic records - Staff interface

This patch adds the same feature as bug 10858 for the OPAC interface:
after a search, librarians will be able to browse selected results.
The results can be selected from several pages.
By extension it is possible to add results from several pages to a list
or the cart.

When at least one result is selected, a new "Browse selected records" button
becomes usable and change the behaviour of the existing browser.

The whole feature can be turned off with the pref BrowseResultSelection.

Test plan:
- Launch a search (on the staff interface)
- Check some biblios
- Go on another page
- Check some biblios
- Come back to a page you already check results and confirm that they are
still checked
- Click on the "Browse selected records" button
- Check that you are able to browse results you had checked.

You can also:
- add them to the cart
- add them to a list

QA note: the browsers at the OPAC and the one at the staff interface are completely different
That's why the code is not mimicking what has been done on bug 10858.
The behaviour must stay the same anyway.
Comment 4 sandboxes@biblibre.com 2017-10-17 12:35:11 UTC
Patch tested with a sandbox, by Séverine QUEUNE <severine.queune@bulac.fr>
Comment 5 sandboxes@biblibre.com 2017-10-17 12:35:32 UTC
Created attachment 68204 [details] [review]
Bug 19290: Browse selected bibliographic records - Staff interface

This patch adds the same feature as bug 10858 for the OPAC interface:
after a search, librarians will be able to browse selected results.
The results can be selected from several pages.
By extension it is possible to add results from several pages to a list
or the cart.

When at least one result is selected, a new "Browse selected records" button
becomes usable and change the behaviour of the existing browser.

The whole feature can be turned off with the pref BrowseResultSelection.

Test plan:
- Launch a search (on the staff interface)
- Check some biblios
- Go on another page
- Check some biblios
- Come back to a page you already check results and confirm that they are
still checked
- Click on the "Browse selected records" button
- Check that you are able to browse results you had checked.

You can also:
- add them to the cart
- add them to a list

QA note: the browsers at the OPAC and the one at the staff interface are completely different
That's why the code is not mimicking what has been done on bug 10858.
The behaviour must stay the same anyway.

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>
Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>
Comment 6 Jonathan Druart 2017-11-03 16:11:16 UTC
Created attachment 68918 [details] [review]
Bug 19290: Browse selected bibliographic records - Staff interface

This patch adds the same feature as bug 10858 for the OPAC interface:
after a search, librarians will be able to browse selected results.
The results can be selected from several pages.
By extension it is possible to add results from several pages to a list
or the cart.

When at least one result is selected, a new "Browse selected records" button
becomes usable and change the behaviour of the existing browser.

The whole feature can be turned off with the pref BrowseResultSelection.

Test plan:
- Launch a search (on the staff interface)
- Check some biblios
- Go on another page
- Check some biblios
- Come back to a page you already check results and confirm that they are
still checked
- Click on the "Browse selected records" button
- Check that you are able to browse results you had checked.

You can also:
- add them to the cart
- add them to a list

QA note: the browsers at the OPAC and the one at the staff interface are completely different
That's why the code is not mimicking what has been done on bug 10858.
The behaviour must stay the same anyway.

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>
Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>
Comment 7 Josef Moravec 2018-02-05 11:56:42 UTC
Needs rebase because of bug 19697
Comment 8 Jonathan Druart 2018-02-05 13:20:30 UTC
Created attachment 71230 [details] [review]
Bug 19290: Browse selected bibliographic records - Staff interface

This patch adds the same feature as bug 10858 for the OPAC interface:
after a search, librarians will be able to browse selected results.
The results can be selected from several pages.
By extension it is possible to add results from several pages to a list
or the cart.

When at least one result is selected, a new "Browse selected records" button
becomes usable and change the behaviour of the existing browser.

The whole feature can be turned off with the pref BrowseResultSelection.

Test plan:
- Launch a search (on the staff interface)
- Check some biblios
- Go on another page
- Check some biblios
- Come back to a page you already check results and confirm that they are
still checked
- Click on the "Browse selected records" button
- Check that you are able to browse results you had checked.

You can also:
- add them to the cart
- add them to a list

QA note: the browsers at the OPAC and the one at the staff interface are completely different
That's why the code is not mimicking what has been done on bug 10858.
The behaviour must stay the same anyway.

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>
Comment 9 Josef Moravec 2018-02-05 16:49:11 UTC
Created attachment 71238 [details] [review]
Bug 19290: Browse selected bibliographic records - Staff interface

This patch adds the same feature as bug 10858 for the OPAC interface:
after a search, librarians will be able to browse selected results.
The results can be selected from several pages.
By extension it is possible to add results from several pages to a list
or the cart.

When at least one result is selected, a new "Browse selected records" button
becomes usable and change the behaviour of the existing browser.

The whole feature can be turned off with the pref BrowseResultSelection.

Test plan:
- Launch a search (on the staff interface)
- Check some biblios
- Go on another page
- Check some biblios
- Come back to a page you already check results and confirm that they are
still checked
- Click on the "Browse selected records" button
- Check that you are able to browse results you had checked.

You can also:
- add them to the cart
- add them to a list

QA note: the browsers at the OPAC and the one at the staff interface are completely different
That's why the code is not mimicking what has been done on bug 10858.
The behaviour must stay the same anyway.

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 10 Jonathan Druart 2018-02-19 19:48:16 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 11 Nick Clemens 2018-03-23 01:02:53 UTC
Enhancement, not backported for 17.11